%define underscore_version 2_6_1

Name:           tinyxml
Version:        2.6.2
Release:        1
Summary:        A simple, small, C++ XML parser
Group:          System Environment/Libraries
License:        zlib
URL:            http://www.grinninglizard.com/tinyxml/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}_%{underscore_version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
TinyXML is a simple, small, C++ XML parser that can be easily integrating
into other programs. Have you ever found yourself writing a text file parser
every time you needed to save human readable data or serialize objects?
TinyXML solves the text I/O file once and for all.
(Or, as a friend said, ends the Just Another Text File Parser problem.)


%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

If you are compiling a 32-bit program, no special compiler options are
needed.

If you are compiling a 64-bit program, you have to compile and link your
application with "xlc -q64" or "gcc -maix64".


%prep
%setup -q -n %{name}


%build
# setup environment for 32-bit and 64-bit builds
export AR="ar -X32_64"
export NM="nm -X32_64"

# first build the 64-bit version
export CXX="xlC -q64"
# Not really designed to be build as lib, DYI
for f in tinyxml.cpp tinystr.cpp tinyxmlerror.cpp tinyxmlparser.cpp ; do
    ${CXX} ${CXXFLAGS} -c ${f}
done

CreateExportList -X64 %{name}.exp *.o
${CXX} -qmkshrobj *.o -o lib%{name}.so -bE:%{name}.exp
rm -f %{name}.exp
${AR} -rc lib%{name}.a lib%{name}.so

rm -f *.o *.so

# now build the 32-bit version
export CXX="xlC -q32"
# Not really designed to be build as lib, DYI
for f in tinyxml.cpp tinystr.cpp tinyxmlerror.cpp tinyxmlparser.cpp ; do
    ${CXX} ${CXXFLAGS} -c ${f}
done

CreateExportList -X32 %{name}.exp *.o
${CXX} -qmkshrobj *.o -o lib%{name}.so -bE:%{name}.exp
rm -f %{name}.exp
${AR} -q lib%{name}.a lib%{name}.so


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

# Not really designed to be build as lib, DYI
mkdir -p ${RPM_BUILD_ROOT}%{_libdir}
mkdir -p ${RPM_BUILD_ROOT}%{_includedir}
cp lib%{name}.a ${RPM_BUILD_ROOT}%{_libdir}
chmod 0644 ${RPM_BUILD_ROOT}%{_libdir}/*
cp %{name}.h ${RPM_BUILD_ROOT}%{_includedir}
chmod 0644 ${RPM_BUILD_ROOT}%{_includedir}/*

(
  cd ${RPM_BUILD_ROOT}
  for dir in include lib
  do
    mkdir -p usr/${dir}
    cd usr/${dir}
    ln -sf ../..%{_prefix}/${dir}/* .
    cd -
  done
)


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc changes.txt readme.txt
%{_libdir}/*.a
/usr/lib/*.a


%files devel
%defattr(-,root,system,-)
%doc docs/*
%{_includedir}/*
/usr/include/*


%changelog
* Thu Oct 06 2011 Michael Perzl <michael@perzl.org> - 2.6.2-1
- updated to version 2.6.2

* Thu Aug 26 2010 Michael Perzl <michael@perzl.org> - 2.6.1-1
- first version for AIX V5.1 and higher
